'use client';

import { ActionIcon } from '@lobehub/ui';
import { PanelRightClose, PanelRightOpen } from 'lucide-react';
import { memo } from 'react';
import { useTranslation } from 'react-i18next';

import { DESKTOP_HEADER_ICON_SIZE } from '@/const/layoutTokens';
import { useGlobalStore } from '@/store/global';
import { systemStatusSelectors } from '@/store/global/selectors';
import { featureFlagsSelectors, useServerConfigStore } from '@/store/serverConfig';

import SettingButton from '../../../features/SettingButton';
import ShareButton from '../../../features/ShareButton';
import {Button} from "antd";
import { useOpenChatSettings } from '@/hooks/useInterceptingRoutes';

const HeaderAction = memo(() => {
  const { t } = useTranslation('chat');

  const [showAgentSettings, toggleConfig] = useGlobalStore((s) => [
    systemStatusSelectors.showChatSideBar(s),
    s.toggleChatSideBar,
  ]);

  const { isAgentEditable } = useServerConfigStore(featureFlagsSelectors);

  const openChatSettings = useOpenChatSettings();

  return (
    <>
      <Button onClick={() => openChatSettings()} style={{ borderColor: '#2E62FF', color: "#2E62FF" }} shape="round">会话设置</Button>
      {/*<ShareButton />*/}
      {/*<ActionIcon*/}
      {/*  icon={showAgentSettings ? PanelRightClose : PanelRightOpen}*/}
      {/*  onClick={() => toggleConfig()}*/}
      {/*  size={DESKTOP_HEADER_ICON_SIZE}*/}
      {/*  title={t('roleAndArchive')}*/}
      {/*/>*/}
      {/*{isAgentEditable && <SettingButton />}*/}
    </>
  );
});

export default HeaderAction;
