package com.pjilisense.flxai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pjilisense.flxai.base.service.impl.CrudServiceImpl;
import com.pjilisense.flxai.dao.AppAiAssistantDao;
import com.pjilisense.flxai.dto.AppAiAssistantDTO;
import com.pjilisense.flxai.entity.AppAiAssistantEntity;
import com.pjilisense.flxai.service.AppAiAssistantService;
import cn.hutool.core.util.StrUtil;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * AI助手表
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2024-12-13
 */
@Service
public class AppAiAssistantServiceImpl extends CrudServiceImpl<AppAiAssistantDao, AppAiAssistantEntity, AppAiAssistantDTO> implements AppAiAssistantService {

    @Override
    public QueryWrapper<AppAiAssistantEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<AppAiAssistantEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StrUtil.isNotBlank(id), "id", id);

        return wrapper;
    }


}